﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace 妹デスクトップ
{
    public partial class 吹き出し : Form
    {
        public 吹き出し()
        {
            InitializeComponent();
        }

        private Point mouseDownPoint;
        private bool mouseIsDown = false;


        private int TalkSpan = 0;

        private string strMessageBuffer = "";
        public void setMessage(string str)
        {
            strMessageBuffer += str;
        }
        private void 吹き出し_Load(object sender, EventArgs e)
        {

        }

        private void 吹き出し_Paint(object sender, PaintEventArgs e)
        {
            Point p = new Point(0, 0);
            //フォームの透明化
            Bitmap bmp;
            bmp = (Bitmap)this.BackgroundImage;
            this.TransparencyKey = bmp.GetPixel(0, 0);

            //吹き出しの透明化
            bmp = (Bitmap)this.BackgroundImage;
            this.textBox1.BackColor = bmp.GetPixel(textBox1.Left, textBox1.Top);
        }

        #region フォーム移動
        private void 吹き出し_MouseDown(object sender, MouseEventArgs e)
        {
            if (e.Button == System.Windows.Forms.MouseButtons.Left)
            {
                mouseDownPoint = new Point(e.X, e.Y);
                mouseIsDown = true;
            }

        }

        private void 吹き出し_MouseMove(object sender, MouseEventArgs e)
        {
            if (mouseIsDown && e.Button == System.Windows.Forms.MouseButtons.Left)
            {
                this.Left += e.X - mouseDownPoint.X;
                this.Top += e.Y - mouseDownPoint.Y;
            }

        }

        private void 吹き出し_MouseUp(object sender, MouseEventArgs e)
        {
            if (e.Button == System.Windows.Forms.MouseButtons.Left)
            {
                mouseIsDown = false;
            }
        }
        #endregion

        //頭の中にある文章を口に出します
        private void timer1_Tick(object sender, EventArgs e)
        {
            if (this.strMessageBuffer.Length > 0)
            {
                this.textBox1.Text += strMessageBuffer[0];
                this.strMessageBuffer = strMessageBuffer.Substring(1);
                TalkSpan = 0;
            }
            else
            {
                //間が空いたら吹き出しの文字は消しますよ
               if (this.textBox1.Text != "")
               {
                   TalkSpan++;
                   if (TalkSpan > 10)
                   {
                       this.textBox1.Text = "";
                   }
               }
            }
        }
    }
}